Loading...
Searching...
No Matches
juce::VSTMidiEventList Class Reference

## Detailed Description

Holds a set of VSTMidiEvent objects and makes it easy to add events to the list.

This is used by both the VST hosting code and the plugin wrapper.

The documentation for this class was generated from the following file:

- juce_audio_processors_headless/format_types/juce_VSTMidiEventList.h

## Public Member Functions

| VSTMidiEventList ()
| ~VSTMidiEventList ()
void | clear ()
void | addEvent (const void *const midiData, int numBytes, int frameOffset)
void | ensureSize (int numEventsNeeded)
void | freeEvents ()

## Static Public Member Functions

static void | addEventsToMidiBuffer (const Vst2::VstEvents *events, MidiBuffer &dest)

## Public Attributes

HeapBlock< Vst2::VstEvents > | events

## Constructors and Destructors

## VSTMidiEventList()

juce::VSTMidiEventList::VSTMidiEventList | ( |  | ) |

inline

## ~VSTMidiEventList()

juce::VSTMidiEventList::~VSTMidiEventList | ( |  | ) |

inline

References freeEvents().

## Member Functions

## clear()

void juce::VSTMidiEventList::clear | ( |  | ) |

inline

References events.

## addEvent()

void juce::VSTMidiEventList::addEvent | ( | const void *const | midiData,
|  | int | numBytes,
|  | int | frameOffset )

inline

References ensureSize(), and events.

## addEventsToMidiBuffer()

void juce::VSTMidiEventList::addEventsToMidiBuffer | ( | const Vst2::VstEvents * | events,
|  | MidiBuffer & | dest )

inline static

References juce::MidiBuffer::addEvent(), and events.

## ensureSize()

void juce::VSTMidiEventList::ensureSize | ( | int | numEventsNeeded | ) |

inline

References events.

Referenced by addEvent().

## freeEvents()

void juce::VSTMidiEventList::freeEvents | ( |  | ) |

inline

References events.

Referenced by ~VSTMidiEventList().

## Member Data Documentation

## events

HeapBlock<Vst2::VstEvents> juce::VSTMidiEventList::events

Referenced by addEvent(), addEventsToMidiBuffer(), clear(), ensureSize(), and freeEvents().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited